package de.rico.editor.gui.filter;

import java.io.File;

import javax.swing.filechooser.FileFilter;

/**
 * A filter class for considering folders only.
 * @author Frank Bruns
 */
public class FilterFolder extends FileFilter
{

	/* (non-Javadoc)
	 * @see javax.swing.filechooser.FileFilter#accept(java.io.File)
	 */
	@Override
	public boolean accept(File file)
	{
		return file.isDirectory();
	}

	/*
	 * (non-Javadoc)
	 * @see javax.swing.filechooser.FileFilter#getDescription()
	 */
	@Override
	public String getDescription()
	{
		return "base folder";
	}

}
